<!DOCTYPE html>
<html lang="en-US">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>Slots | FRISE</title>
    <meta name="generator" content="VuePress 1.8.2">
    
    <meta name="description" content="">
    <meta name="theme-color" content="#5d77ff">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    
    <link rel="preload" href="/frise-package/documentation/assets/css/0.styles.0e46e5f3.css" as="style"><link rel="preload" href="/frise-package/documentation/assets/js/app.50779134.js" as="script"><link rel="preload" href="/frise-package/documentation/assets/js/2.5d5c376a.js" as="script"><link rel="preload" href="/frise-package/documentation/assets/js/12.3dd77d1b.js" as="script"><link rel="prefetch" href="/frise-package/documentation/assets/js/10.7332a41b.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/11.030feeb6.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/3.15484a09.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/4.cf2a7ee3.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/5.b88862d9.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/6.730dfb02.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/7.2e6cb6ae.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/8.d8f5fe41.js"><link rel="prefetch" href="/frise-package/documentation/assets/js/9.32b17323.js">
    <link rel="stylesheet" href="/frise-package/documentation/assets/css/0.styles.0e46e5f3.css">
  </head>
  <body>
    <div id="app" data-server-rendered="true"><div class="theme-container"><header class="navbar"><div class="sidebar-button"><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" role="img" viewBox="0 0 448 512" class="icon"><path fill="currentColor" d="M436 124H12c-6.627 0-12-5.373-12-12V80c0-6.627 5.373-12 12-12h424c6.627 0 12 5.373 12 12v32c0 6.627-5.373 12-12 12zm0 160H12c-6.627 0-12-5.373-12-12v-32c0-6.627 5.373-12 12-12h424c6.627 0 12 5.373 12 12v32c0 6.627-5.373 12-12 12zm0 160H12c-6.627 0-12-5.373-12-12v-32c0-6.627 5.373-12 12-12h424c6.627 0 12 5.373 12 12v32c0 6.627-5.373 12-12 12z"></path></svg></div> <a href="/frise-package/documentation/" class="home-link router-link-active"><!----> <span class="site-name">FRISE</span></a> <div class="links"><div class="search-box"><input aria-label="Search" autocomplete="off" spellcheck="false" value=""> <!----></div> <nav class="nav-links can-hide"><div class="nav-item"><a href="/frise-package/documentation/documentation/" class="nav-link router-link-active">
  Documentation
</a></div><div class="nav-item"><a href="/frise-package/documentation/example/" class="nav-link">
  Example
</a></div><div class="nav-item"><a href="https://gitlab.com/fabnum-minarm/frise-package/frise" target="_blank" rel="noopener noreferrer" class="nav-link external">
  GitLab
  <span><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" focusable="false" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg> <span class="sr-only">(opens new window)</span></span></a></div> <!----></nav></div></header> <div class="sidebar-mask"></div> <aside class="sidebar"><nav class="nav-links"><div class="nav-item"><a href="/frise-package/documentation/documentation/" class="nav-link router-link-active">
  Documentation
</a></div><div class="nav-item"><a href="/frise-package/documentation/example/" class="nav-link">
  Example
</a></div><div class="nav-item"><a href="https://gitlab.com/fabnum-minarm/frise-package/frise" target="_blank" rel="noopener noreferrer" class="nav-link external">
  GitLab
  <span><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" focusable="false" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg> <span class="sr-only">(opens new window)</span></span></a></div> <!----></nav>  <ul class="sidebar-links"><li><section class="sidebar-group depth-0"><p class="sidebar-heading open"><span>Documentation</span> <!----></p> <ul class="sidebar-links sidebar-group-items"><li><a href="/frise-package/documentation/documentation/" aria-current="page" class="sidebar-link">Introduction</a></li><li><a href="/frise-package/documentation/documentation/getstarted.html" class="sidebar-link">Get started</a></li><li><a href="/frise-package/documentation/documentation/props.html" class="sidebar-link">Props</a></li><li><a href="/frise-package/documentation/documentation/slots.html" aria-current="page" class="active sidebar-link">Slots</a><ul class="sidebar-sub-headers"><li class="sidebar-sub-header"><a href="/frise-package/documentation/documentation/slots.html#navigation" class="sidebar-link">#navigation</a></li><li class="sidebar-sub-header"><a href="/frise-package/documentation/documentation/slots.html#timeaxisunit" class="sidebar-link">#timeAxisUnit</a></li><li class="sidebar-sub-header"><a href="/frise-package/documentation/documentation/slots.html#rowheader" class="sidebar-link">#rowHeader</a></li><li class="sidebar-sub-header"><a href="/frise-package/documentation/documentation/slots.html#gridcell" class="sidebar-link">#gridCell</a></li><li class="sidebar-sub-header"><a href="/frise-package/documentation/documentation/slots.html#block" class="sidebar-link">#block</a></li></ul></li><li><a href="/frise-package/documentation/documentation/events.html" class="sidebar-link">Events</a></li></ul></section></li></ul> </aside> <main class="page"> <div class="theme-default-content content__default"><h1 id="slots"><a href="#slots" class="header-anchor">#</a> Slots</h1> <h2 id="navigation"><a href="#navigation" class="header-anchor">#</a> #navigation</h2> <p><strong>Deal with time navigation.</strong></p> <p>You can navigate through time with two actions :</p> <ul><li>jump to a specific date with direct date selection</li> <li>move backward/forward to the adjescent time section</li></ul> <p>3 methods are available from Frise's navigation slot :</p> <table><thead><tr><th>Name</th> <th>Action</th> <th>Argument</th> <th>Argument's type</th></tr></thead> <tbody><tr><td><strong>goForward()</strong></td> <td>update internal reference date of chart, adding timeConfig.totalUnit of timeConfig.baseUnit</td> <td>None</td> <td>/</td></tr> <tr><td><strong>goBackward()</strong></td> <td>update internal reference date of chart, removing timeConfig.totalUnit of timeConfig.baseUnit</td> <td>None</td> <td>/</td></tr> <tr><td><strong>selectDate(selectedDate)</strong></td> <td>update internal reference date of chart, with selectedDate</td> <td>selectedDate</td> <td>Date</td></tr></tbody></table> <p><strong>Usage :</strong></p> <div class="language-shell extra-class"><pre class="language-shell"><code>  <span class="token operator">&lt;</span>template <span class="token comment">#navigation=&quot;{ goForwards, goBackwards, selectDate }&quot;&gt;</span>
    <span class="token operator">&lt;</span>div <span class="token assign-left variable">class</span><span class="token operator">=</span><span class="token string">&quot;frise-navigation&quot;</span><span class="token operator">&gt;</span>
      <span class="token operator">&lt;</span>input <span class="token assign-left variable">type</span><span class="token operator">=</span><span class="token string">&quot;date&quot;</span> v-model<span class="token operator">=</span><span class="token string">&quot;selectedDate&quot;</span> @input<span class="token operator">=</span><span class="token string">&quot;selectDate&quot;</span>/<span class="token operator">&gt;</span>
      <span class="token operator">&lt;</span>button @click.native<span class="token operator">=</span><span class="token string">&quot;goBackwards&quot;</span><span class="token operator">&gt;</span>Previous<span class="token operator">&lt;</span>/<span class="token operator">&gt;</span>
      <span class="token operator">&lt;</span>button @click.native<span class="token operator">=</span><span class="token string">&quot;goForwards&quot;</span><span class="token operator">&gt;</span>Next<span class="token operator">&lt;</span>/<span class="token operator">&gt;</span>
    <span class="token operator">&lt;</span>/div<span class="token operator">&gt;</span>
  <span class="token operator">&lt;</span>/template<span class="token operator">&gt;</span>
</code></pre></div><h2 id="timeaxisunit"><a href="#timeaxisunit" class="header-anchor">#</a> #timeAxisUnit</h2> <p><strong>Display time axis' unit.</strong></p> <p>In this slot, you can access the associated date of the unit, with the <code>date</code> prop, and customize display format and style for specific date conditions.</p> <p><strong>Usage :</strong></p> <div class="language-shell extra-class"><pre class="language-shell"><code>  <span class="token operator">&lt;</span>template <span class="token comment">#timeAxisUnit=&quot;{ date }&quot;&gt;</span>
    <span class="token operator">&lt;</span>div<span class="token operator">&gt;</span><span class="token punctuation">{</span><span class="token punctuation">{</span> <span class="token function">date</span> <span class="token punctuation">}</span><span class="token punctuation">}</span><span class="token operator">&lt;</span>/div<span class="token operator">&gt;</span>
  <span class="token operator">&lt;</span>/template<span class="token operator">&gt;</span>
</code></pre></div><h2 id="rowheader"><a href="#rowheader" class="header-anchor">#</a> #rowHeader</h2> <p><strong>Display row header's information.</strong></p> <p>Header's content passed to data property is directly and fully available in this slot, with the <code>header</code> prop.</p> <p><strong>Usage :</strong></p> <div class="language-shell extra-class"><pre class="language-shell"><code>  <span class="token operator">&lt;</span>template <span class="token comment">#rowHeader=&quot;{ header }&quot;&gt;</span>
    <span class="token operator">&lt;</span>RowHeader :header<span class="token operator">=</span><span class="token string">&quot;header&quot;</span> /<span class="token operator">&gt;</span>
  <span class="token operator">&lt;</span>/template<span class="token operator">&gt;</span>
</code></pre></div><h2 id="gridcell"><a href="#gridcell" class="header-anchor">#</a> #gridCell</h2> <p><strong>Customize row's time sub-unit's style.</strong></p> <p>In this slot, you can access the associated date of a sub-cell, with the <code>date</code> prop, and customize the style of sub-cells and in fine cells, for specific date conditions.</p> <p>You can also access the <code>index</code> property, to get the index of the sub-cell among 0 and the styleConfig.gridSubdivisions value, in order to add conditionnal style according to the position of the sub-cell assiociated to the same date.</p> <p><strong>Warning</strong> : what you pass as a slot is the sub-cell element !</p> <p><strong>Usage :</strong></p> <div class="language-shell extra-class"><pre class="language-shell"><code>  <span class="token operator">&lt;</span>template <span class="token comment">#gridCell=&quot;{ date, index }&quot;&gt;</span>
    <span class="token operator">&lt;</span>Cell :date<span class="token operator">=</span><span class="token string">&quot;date&quot;</span> :index<span class="token operator">=</span><span class="token string">&quot;index&quot;</span> /<span class="token operator">&gt;</span>
  <span class="token operator">&lt;</span>/template<span class="token operator">&gt;</span>
</code></pre></div><h2 id="block"><a href="#block" class="header-anchor">#</a> #block</h2> <p><strong>Display block's information.</strong></p> <p>Block's content passed to data property is directly and fully available in this slot, with the <strong>block</strong> prop.</p> <p><strong>Usage :</strong></p> <div class="language-shell extra-class"><pre class="language-shell"><code>  <span class="token operator">&lt;</span>template <span class="token comment">#block=&quot;{ block }&quot;&gt;</span>
    <span class="token operator">&lt;</span>Block :block<span class="token operator">=</span><span class="token string">&quot;block&quot;</span> /<span class="token operator">&gt;</span>
  <span class="token operator">&lt;</span>/template<span class="token operator">&gt;</span>
</code></pre></div></div> <footer class="page-edit"><!----> <!----></footer> <div class="page-nav"><p class="inner"><span class="prev">
      ←
      <a href="/frise-package/documentation/documentation/props.html" class="prev">
        Props
      </a></span> <span class="next"><a href="/frise-package/documentation/documentation/events.html">
        Events
      </a>
      →
    </span></p></div> </main></div><div class="global-ui"></div></div>
    <script src="/frise-package/documentation/assets/js/app.50779134.js" defer></script><script src="/frise-package/documentation/assets/js/2.5d5c376a.js" defer></script><script src="/frise-package/documentation/assets/js/12.3dd77d1b.js" defer></script>
  </body>
</html>
